package com.loh.model;

import java.io.Serializable;

public class HouseInfo implements Serializable {
    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column house_info.id
     *
     * @mbg.generated
     */
    private Integer id;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column house_info.landlord_id
     *
     * @mbg.generated
     */
    private Integer landlordId;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column house_info.address
     *
     * @mbg.generated
     */
    private String address;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column house_info.area_id
     *
     * @mbg.generated
     */
    private Integer areaId;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column house_info.length
     *
     * @mbg.generated
     */
    private Integer length;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column house_info.width
     *
     * @mbg.generated
     */
    private Integer width;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column house_info.checked
     *
     * @mbg.generated
     */
    private Integer checked;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column house_info.coordinate
     *
     * @mbg.generated
     */
    private String coordinate;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column house_info.rent
     *
     * @mbg.generated
     */
    private Integer rent;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column house_info.house_type_id
     *
     * @mbg.generated
     */
    private Integer houseTypeId;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column house_info.status
     *
     * @mbg.generated
     */
    private Integer status;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column house_info.floor_size
     *
     * @mbg.generated
     */
    private String floorSize;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column house_info.material
     *
     * @mbg.generated
     */
    private String material;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column house_info.imageOne
     *
     * @mbg.generated
     */
    private String imageone;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column house_info.imageTow
     *
     * @mbg.generated
     */
    private String imagetow;

    /**
     *
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column house_info.comment
     *
     * @mbg.generated
     */
    private String comment;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database table house_info
     *
     * @mbg.generated
     */
    private static final long serialVersionUID = 1L;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column house_info.id
     *
     * @return the value of house_info.id
     *
     * @mbg.generated
     */
    public Integer getId() {
        return id;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column house_info.id
     *
     * @param id the value for house_info.id
     *
     * @mbg.generated
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column house_info.landlord_id
     *
     * @return the value of house_info.landlord_id
     *
     * @mbg.generated
     */
    public Integer getLandlordId() {
        return landlordId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column house_info.landlord_id
     *
     * @param landlordId the value for house_info.landlord_id
     *
     * @mbg.generated
     */
    public void setLandlordId(Integer landlordId) {
        this.landlordId = landlordId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column house_info.address
     *
     * @return the value of house_info.address
     *
     * @mbg.generated
     */
    public String getAddress() {
        return address;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column house_info.address
     *
     * @param address the value for house_info.address
     *
     * @mbg.generated
     */
    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column house_info.area_id
     *
     * @return the value of house_info.area_id
     *
     * @mbg.generated
     */
    public Integer getAreaId() {
        return areaId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column house_info.area_id
     *
     * @param areaId the value for house_info.area_id
     *
     * @mbg.generated
     */
    public void setAreaId(Integer areaId) {
        this.areaId = areaId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column house_info.length
     *
     * @return the value of house_info.length
     *
     * @mbg.generated
     */
    public Integer getLength() {
        return length;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column house_info.length
     *
     * @param length the value for house_info.length
     *
     * @mbg.generated
     */
    public void setLength(Integer length) {
        this.length = length;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column house_info.width
     *
     * @return the value of house_info.width
     *
     * @mbg.generated
     */
    public Integer getWidth() {
        return width;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column house_info.width
     *
     * @param width the value for house_info.width
     *
     * @mbg.generated
     */
    public void setWidth(Integer width) {
        this.width = width;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column house_info.checked
     *
     * @return the value of house_info.checked
     *
     * @mbg.generated
     */
    public Integer getChecked() {
        return checked;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column house_info.checked
     *
     * @param checked the value for house_info.checked
     *
     * @mbg.generated
     */
    public void setChecked(Integer checked) {
        this.checked = checked;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column house_info.coordinate
     *
     * @return the value of house_info.coordinate
     *
     * @mbg.generated
     */
    public String getCoordinate() {
        return coordinate;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column house_info.coordinate
     *
     * @param coordinate the value for house_info.coordinate
     *
     * @mbg.generated
     */
    public void setCoordinate(String coordinate) {
        this.coordinate = coordinate == null ? null : coordinate.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column house_info.rent
     *
     * @return the value of house_info.rent
     *
     * @mbg.generated
     */
    public Integer getRent() {
        return rent;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column house_info.rent
     *
     * @param rent the value for house_info.rent
     *
     * @mbg.generated
     */
    public void setRent(Integer rent) {
        this.rent = rent;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column house_info.house_type_id
     *
     * @return the value of house_info.house_type_id
     *
     * @mbg.generated
     */
    public Integer getHouseTypeId() {
        return houseTypeId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column house_info.house_type_id
     *
     * @param houseTypeId the value for house_info.house_type_id
     *
     * @mbg.generated
     */
    public void setHouseTypeId(Integer houseTypeId) {
        this.houseTypeId = houseTypeId;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column house_info.status
     *
     * @return the value of house_info.status
     *
     * @mbg.generated
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column house_info.status
     *
     * @param status the value for house_info.status
     *
     * @mbg.generated
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column house_info.floor_size
     *
     * @return the value of house_info.floor_size
     *
     * @mbg.generated
     */
    public String getFloorSize() {
        return floorSize;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column house_info.floor_size
     *
     * @param floorSize the value for house_info.floor_size
     *
     * @mbg.generated
     */
    public void setFloorSize(String floorSize) {
        this.floorSize = floorSize == null ? null : floorSize.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column house_info.material
     *
     * @return the value of house_info.material
     *
     * @mbg.generated
     */
    public String getMaterial() {
        return material;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column house_info.material
     *
     * @param material the value for house_info.material
     *
     * @mbg.generated
     */
    public void setMaterial(String material) {
        this.material = material == null ? null : material.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column house_info.imageOne
     *
     * @return the value of house_info.imageOne
     *
     * @mbg.generated
     */
    public String getImageone() {
        return imageone;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column house_info.imageOne
     *
     * @param imageone the value for house_info.imageOne
     *
     * @mbg.generated
     */
    public void setImageone(String imageone) {
        this.imageone = imageone == null ? null : imageone.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column house_info.imageTow
     *
     * @return the value of house_info.imageTow
     *
     * @mbg.generated
     */
    public String getImagetow() {
        return imagetow;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column house_info.imageTow
     *
     * @param imagetow the value for house_info.imageTow
     *
     * @mbg.generated
     */
    public void setImagetow(String imagetow) {
        this.imagetow = imagetow == null ? null : imagetow.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column house_info.comment
     *
     * @return the value of house_info.comment
     *
     * @mbg.generated
     */
    public String getComment() {
        return comment;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column house_info.comment
     *
     * @param comment the value for house_info.comment
     *
     * @mbg.generated
     */
    public void setComment(String comment) {
        this.comment = comment == null ? null : comment.trim();
    }
}